{% extends "account/base.html" %}

{% load i18n static %}
{% load account %}

{% block head_title %}{% trans "Confirm E-mail Address" %}{% endblock %}

{% block main_css %}
  {{ block.super }}
  <link rel="stylesheet" href="{% static 'theme_default/css/accounts.bundle.css' %}">
{% endblock main_css %}

{% block content %}
<div class="verification">
  <div class="mb-4">
    <h2 class="display-7 text-center">{% trans "Confirm E-mail Address" %}</h2>
  </div>
  <div class="text-center">
    {% if confirmation %}
      {% user_display confirmation.email_address.user as user_display %}
      <p>{% blocktrans with confirmation.email_address.email as email %}Please confirm that <a href="mailto:{{ email }}">{{ email }}</a> is an e-mail address for user {{ user_display }}.{% endblocktrans %}</p>
      <form method="post" action="{% url 'account_confirm_email' confirmation.key %}">
        {% csrf_token %}
        <button class="btn btn-primary mx-auto" type="submit">{% trans 'Confirm Email' %}</button>
      </form>
    {% else %}
      {% url 'account_email' as email_url %}
      <p>{% blocktrans %}This e-mail confirmation link expired or is invalid. Please <a href="{{ email_url }}">issue a new e-mail confirmation request</a>.{% endblocktrans %}</p>
    {% endif %}
  </div>
</div>
{% endblock %}
